Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class ReducedHamiltonian

[frames] | no frames]

# Class ReducedHamiltonian

source code

    object --+
             |
            ReducedHamiltonian

Describes a reduced Hamiltonian (Hamiltonian, its position gradient and the system temperature)

Instance Methods

E(self, x) Potential energy of the system, aka negative log probability | source code

__call__(self, x) Evaluates the reduced Hamiltionian at the state x | source code

__init__(self, log_prob, gradient=None, temperature=1.0, mass_matrix=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

kinetic_energy(self, p) Kinetic energy of the system | source code

rkinetic_energy(self, p) Reduced kinetic energy | source code

rlog_prob(self, x) Reduced log probability | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| gradient
| log_prob
| mass_matrix
| temperature
Inherited from `object`: `__class__`

Method Details

### E(self, x)

source code

Potential energy of the system, aka negative log probability

Parameters:
  - `x` (1D numpy array) - position vector

### __call__(self, x)
(Call operator)

source code

Evaluates the reduced Hamiltionian at the state x

Parameters:
  - `x` (State) - system state

### __init__(self, log_prob, gradient=None, temperature=1.0, mass_matrix=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `log_prob` (callable) - log probability of the PDF under consideration, that is, the negative potential energy of the system
  - `gradient` (callable) - gradient of the negative log probability of the PDF under consideration, that is, the gradient of the potential energy; function of position array and time
  - `temperature` (float) - system temperature
  - `mass_matrix` (InvertibleMatrix) - system mass matrix
Overrides: object.__init__
  (inherited documentation)

### kinetic_energy(self, p)

source code

Kinetic energy of the system

Parameters:
  - `p` (1D numpy array) - system momentum vector

### rkinetic_energy(self, p)

source code

Reduced kinetic energy

Parameters:
  - `p` (1D numpy array) - system momentum vector

### rlog_prob(self, x)

source code

Reduced log probability

Parameters:
  - `x` (1D numpy array) - position vector

Property Details

### gradient

Get Method:
  unreachable.gradient(self)
Set Method:
  unreachable.gradient(self, value)

### log_prob

Get Method:
  unreachable.log_prob(self)
Set Method:
  unreachable.log_prob(self, value)

### mass_matrix

Get Method:
  unreachable.mass_matrix(self)
Set Method:
  unreachable.mass_matrix(self, value)

### temperature

Get Method:
  unreachable.temperature(self)
Set Method:
  unreachable.temperature(self, value)